Summary:   Desktop tool for managing virtual machines via libvirt
Name:      virt-manager
Version:   4.1.0
Release:   5%{?dist}
License:   GPLv2+
URL:       https://virt-manager.org/
Source0:   %{url}download/sources/%{name}/%{name}-%{version}.tar.gz

Patch3001: virt-manager-cloner-Sync-uuid-and-sysinfo-system-uuid.patch
Patch3002: virt-manager-virtinstall-fix-regression-with-boot-and-no-install-method.patch
Patch3003: virt-manager-progress-Fix-showing-correct-final-total.patch
Patch3004: virt-manager-virtinstall-Fix-the-allocating-disk-size-printed-by-the-progress-bar.patch
Patch3005: virt-manager-virtinstall-Hide-total_size-in-the-progress-bar-if-it-doesn-t-need.patch
Patch3006: virt-manager-virt-install-Recommend-boot-uefi.patch
Patch3007: virt-manager-virt-install-Document-Secure-Boot-setups.patch
Patch3008: 0001-virt-manager-4.1.0-add-support-for-loongarch64.patch

BuildRequires: git gettext python3-devel python3-docutils python3-setuptools
Requires: virt-manager-common = %{version}-%{release} python3-gobject gtk3 libvirt-glib gtk-vnc2 gtksourceview4 dconf vte291
Recommends: (libvirt-daemon-kvm or libvirt-daemon-qemu)
Recommends: libvirt-daemon-config-network
Suggests: python3-libguestfs

BuildArch: noarch

%description
Virtual Machine Manager provides a graphical tool for administering virtual machines for KVM, Xen,
and LXC. Start, stop, add or remove virtual devices, connect to a graphical or serial console, and
see resource usage statistics for existing VMs on local or remote machines. Uses libvirt as the
backend management API.

%package common
Summary: Common files used by the different Virtual Machine Manager interfaces
Requires: python3-argcomplete python3-libvirt python3-libxml2 python3-requests libosinfo python3-gobject-base xorriso

%description common
Common files used by the different virt-manager interfaces, as well as virt-install related tools.

%package -n virt-install
Summary: Utilities for installing virtual machines
Requires: virt-manager-common = %{version}-%{release} libvirt-client
Provides: virt-install
Provides: virt-clone
Provides: virt-xml

%description -n virt-install
Package includes several command line utilities, including virt-install (build and install new VMs)
and virt-clone (clone an existing virtual machine).


%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
./setup.py configure \
    --default-hvs qemu,xen,lxc \
    --default-graphics=vnc

%install
./setup.py \
    --no-update-icon-cache --no-compile-schemas \
    install -O1 --root=%{buildroot}
%find_lang %{name}

%py_byte_compile %{__python3} %{buildroot}%{_datadir}/virt-manager/

%files
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/%{name}/virtManager
%{_datadir}/%{name}/icons
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.virt-manager.virt-manager.gschema.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files common -f %{name}.lang
%license COPYING
%doc README.md NEWS.md
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/virtinst

%files -n virt-install
%{_datadir}/bash-completion/completions/virt-install
%{_datadir}/bash-completion/completions/virt-clone
%{_datadir}/bash-completion/completions/virt-xml
%{_bindir}/virt-install
%{_bindir}/virt-clone
%{_bindir}/virt-xml
%{_mandir}/man1/virt-install.1*
%{_mandir}/man1/virt-clone.1*
%{_mandir}/man1/virt-xml.1*

%changelog
* Wed Mar 20 2024 Pengda Dou <doupengda@loongson.cn> - 4.1.0-5
- add support for loongarch64

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 6 2023 Shuo Wang <abushwang@tencent.com> - 4.1.0-1
- initial build
